<script setup lang="ts">
import { ref, onMounted } from 'vue';
import type { FooterLink } from '@/types/navigation';

const props = defineProps<{
  link: FooterLink;
}>();

const emitOneTrustEvent: () => void = () => {
  const clickEvent: Event = new Event('oneTrustShowSettings', { bubbles: true });
  document.dispatchEvent(clickEvent);
};
const oneTrustEl = ref<HTMLButtonElement | null>(null);
const oneTrustString = ref<string>('');

onMounted(() => {
  if (oneTrustEl.value && oneTrustEl.value.textContent !== null) {
    oneTrustString.value = oneTrustEl.value.textContent || props.link.text;
  }
});
</script>
<template>
  <button
    :id="link.config?.id"
    ref="oneTrustEl"
    class="ot-sdk-show-settings"
    :href="link.config.href"
    :data-ga-location="link.config.dataGaLocation"
    :data-ga-name="link.config.dataGaName"
    @click="emitOneTrustEvent()"
  >
    {{ oneTrustString }}
  </button>
</template>
